> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/password-manager/knowledge-base/application-knowledge-base/application-policies.md).

# Application policies

Application policies in Devolutions Password Manager allow administrators to define how the application behaves across different environments and user scenarios.

{% tabs %}
{% tab title="Windows" %}

1. Devolutions Password Manager must be run in administrator mode for the Policies folder to be visible in the Devolutions Password Manager installation folder.
2. Go to your policies subfolder. By default, the path is `C:\Program Files\Devolutions\Workspace\Policies\en-US`.
3. Copy the `Devolutions.admx` file.
4. Go to `C:\Windows\PolicyDefinitions`.
5. Paste the `Devolutions.admx` file in the root of `C:\Windows\PolicyDefinitions`.
6. Go to `C:\Program Files\Devolutions\Workspace\Policies\en-US`.
7. Copy the `Devolutions.adml` file.
8. Paste the `Devolutions.adml` file in `C:\Windows\PolicyDefinitions\en-US`.
9. Open your Group Policy Editor and go to ***Computer Configuration*** – ***Administrative Templates*** – ***Devolutions*** – ***Devolutions Password Manager***.
10. Browse the different folders for the desired policies.
11. Right-click the specific policy, edit it accordingly, and save.

If Devolutions Password Manager is open when you make this change, then you will need to restart it for the new policy to take effect.

{% hint style="info" %}
The policies will modify the registry. The path is `%Root%\SOFTWARE\Policies\Devolutions\workspace\<policy>`.
{% endhint %}

#### Application policies

| Values                             | Name                                           | Description                                                                                                                                                                                      |
| ---------------------------------- | ---------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `disableAnalytics`                 | **Disable analytics**                          | Disable sending anonymous usage statistics.                                                                                                                                                      |
| `disableAutoUpdater`               | **Disable auto updater**                       | Prevents the application from updating automatically.                                                                                                                                            |
| `disableLicenseExpirationMessage`  | **Disable entries license expiration message** | Suppresses license expiration warnings on entries.                                                                                                                                               |
| `disableOnboarding`                | **Disable onboarding**                         | Skipes the onboarding experience for new users.                                                                                                                                                  |
| `disableUpdateMenu`                | **Disable update menu**                        | Hides the menu option to check for updates.                                                                                                                                                      |
| `enableClipboardTimeLimit`         | **Clipboard retention timeout (seconds)**      | <p>Limits how long credentials remain in the clipbaord before being automatically cleared.<br><br>Options are: 30, 60, 120, 180, 240, 300 seconds. Otherwise it will be set to default (30).</p> |
| `enableForceUpdateEntryBeforeEdit` | **Enable for update entry before edit**        | Forces syncing entries before editing them.                                                                                                                                                      |
| `forceLockOnIdle`                  | **Force application lock when idle (seconds)** | <p>Force application lock when idle for a number of seconds.<br><br>Options are: 30, 60, 120, 180, 240, 300 seconds. Otherwise it will be set to default (30).</p>                               |
| `forceWindowsHello`                | **Force Windows Hello on login**               | Forces Windows Hello authentication on application login.                                                                                                                                        |
| {% endtab %}                       |                                                |                                                                                                                                                                                                  |

{% tab title="macOS" %}
1\. To access the 'Workspace.mobileConfig' file, run the application on macOS and then go to\
`/Users/<username>/Library/Containers/net.devolutions.authenticator/Data/Documents/Policies/Workspace.mobileconfig`. 2. Modify this file according to the desired policies.

#### Application policies

| Values                             | Name                                           | Description                                                                                                                                                                                      |
| ---------------------------------- | ---------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `disableAnalytics`                 | **Disable analytics**                          | Disable sending anonymous usage statistics.                                                                                                                                                      |
| `disableAutoUpdater`               | **Disable auto updater**                       | Prevents the application from updating automatically.                                                                                                                                            |
| `disableLicenseExpirationMessage`  | **Disable entries license expiration message** | Suppresses license expiration warnings on entries.                                                                                                                                               |
| `disableOnboarding`                | **Disable onboarding**                         | Skipes the onboarding experience for new users.                                                                                                                                                  |
| `disableUpdateMenu`                | **Disable update menu**                        | Hides the menu option to check for updates.                                                                                                                                                      |
| `enableClipboardTimeLimit`         | **Clipboard retention timeout (seconds)**      | <p>Limits how long credentials remain in the clipbaord before being automatically cleared.<br><br>Options are: 30, 60, 120, 180, 240, 300 seconds. Otherwise it will be set to default (30).</p> |
| `enableForceUpdateEntryBeforeEdit` | **Enable for update entry before edit**        | Forces syncing entries before editing them.                                                                                                                                                      |
| `forceLockOnIdle`                  | **Force application lock when idle (seconds)** | <p>Force application lock when idle for a number of seconds.<br><br>Options are: 30, 60, 120, 180, 240, 300 seconds. Otherwise it will be set to default (30).</p>                               |

3. Use an RMM to install the profile, such as Jamf.
   {% endtab %}
   {% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.devolutions.net/password-manager/knowledge-base/application-knowledge-base/application-policies.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
